aboutsummaryrefslogtreecommitdiff
path: root/.ci/.gitlab-ci-clang-tidy-fine.sh
diff options
context:
space:
mode:
Diffstat (limited to '.ci/.gitlab-ci-clang-tidy-fine.sh')
-rwxr-xr-x.ci/.gitlab-ci-clang-tidy-fine.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/.ci/.gitlab-ci-clang-tidy-fine.sh b/.ci/.gitlab-ci-clang-tidy-fine.sh
new file mode 100755
index 0000000..644f621
--- /dev/null
+++ b/.ci/.gitlab-ci-clang-tidy-fine.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+. ./.ci/.common.sh
+
+TIDY_FILES=(
+utils/log.h
+utils/properties.h
+)
+
+set -xe
+
+for source in "${TIDY_FILES[@]}"
+do
+ $CLANG_TIDY $source -- -x c++ $INCLUDE_DIRS $CXXARGS
+done